REM This batch file is meant to serve as a demonstration of how 'Convert XLS' can be used from the command line
REM The first two lines set the path of the executable and the location of the demo file installed.
REM Modify the first two lines below if you did not install to the default location.

set CX="C:\Program Files\Softinterface, Inc\Convert XLS\ConvertXLS.EXE"
set DemoFolder=C:\Program Files\Softinterface, Inc\Convert XLS\ConvertXLS Demo

REM -------------------------------------------------------
REM LET'S Test a few things that do not require MS Excel
REM -------------------------------------------------------

REM CONVERT
%CX% /V /S%DemoFolder%\Input Files\A.XLS /T%DemoFolder%\Output Files\A.CSV /F-4143 /N1 /C6 /M2

REM APPEND
%CX% /V /S%DemoFolder%\*.TXT /T%DemoFolder%\Output Files\Appended.txt /F1 /P50

REM REMOVE EMPTY LINES
%CX% /V /S%DemoFolder%\Output Files\Appended.txt /T%DemoFolder%\Output Files\RemovedEmptyLines.TXT /F1 /P55

REM Pad CSV file with quotes
%CX% /V /S%DemoFolder%\Output Files\A.CSV /T%DemoFolder%\Output Files\A_with_quotes.CSV /P201

REM -------------------------------------------------------
REM LET'S Test a few things that do require MS Excel
REM -------------------------------------------------------

REM CONVERT First Sheet of A.XLS to a CSV file
%CX% /V /S%DemoFolder%\Input Files\A.XLS /T%DemoFolder%\Output Files\A_with_MSExcel.CSV /N1 /F-4143 /C6 /M1
 
REM CLEAN UP OUTPUT FILE Remove A couple of sheets. We do this so that you can run this batch file multiple times without error.
REM %CX% /S%DemoFolder%\Input Files\A.XLS /T%DemoFolder%\Output Files\P102.XLS /P103 /1"From A.xls"
REM %CX% /S%DemoFolder%\Input Files\A.XLS /T%DemoFolder%\Output Files\P102.XLS /P103 /1"From B.xls"

REM Clean up output file, else an error would occur since we are renaming to specific sheet when doing P102 below
del "%DemoFolder%\Output Files\P102.XLS" 

REM Copy Sheet 1 from A.XLS to Target.XLS
%CX% /V /S%DemoFolder%\Input Files\A.XLS /T%DemoFolder%\Output Files\P102.XLS /P102 /1 1 /3lastlast /4 0 /5"From A.xls"

REM Copy Sheet 2 from B.XLS to Target.XLS
%CX% /V /S%DemoFolder%\Input Files\B.XLS /T%DemoFolder%\Output Files\P102.XLS /P102 /1 2 /2firstfirst /4 0 /5"From B.xls"


pause
