BEGIN {
    FS = "\t"
    foundDATA = 0;
    foundCol = 0;
    prevValue = 0;
    HeaderLineNR = 0;
}

/^DATA/ {foundDATA = 1;}

foundDATA && !foundCol {
    for (i=1; i<=NF; ++i) {
        if ($i == colname) {
            colNumber = i;
            foundCol = 1;
            HeaderLineNR = NR;
        }
    }
}

foundCol {
    if ($colNumber == "0" && NR > HeaderLineNR+1) {
        $colNumber = prevValue;
    } else {
        prevValue = $colNumber;
    }
}

{
    for (i=1; i<=NF-1; ++i) {
        printf("%s\t", $i);
    }
    if (NF>=1) {
        printf("%s\n", $NF);
    }
}


# Usage:
#
#   gawk -f zero2prev.awk -v colname="COLNAME" < input.str
#
# From Pipe-It script:
#
#   cmd /c "gawk -f zero2prev.awk -v colname="COLNAME" < input.str > outputfile.str"
#
# where COLNAME must be substituted with the column that you want
# to be processed, and input.str is substituted with the
# data file in streamz format.
#
# FS = "\t" is necessary to avoid that it skips consecutive tabs
# It searches first for DATA at the beginning of the line. Then
# it searches for the column number of the heading given on the
# command line. When the column number has been found, it
# inserts in each line and specified column the value from the previous line if 
# the original value was 0.
# (Printing is split in two blocks to avoid an extra tab at the end
# of the line.)
# 2013-04-02 Gunnar Borthne
